import Mock from 'mockjs'

let Random = Mock.Random
const data = Mock.mock({
	code: 200,
	msg: '请求成功',
	'data|5-10': [{
		chapterName: '@ctitle(5, 10)',
		'list|5-10': [{
			videoUrl: 'http://1305573081.vod2.myqcloud.com/10abdb63vodcq1305573081/c5d1c7a53701925920473528049/dfEdqef12AMA.mp4',
			cover: Random.image('200x100', '#50B347', '#FFF', '@ctitle(5, 12)'),
			title: '@ctitle(5, 12)',
			remarks: '@ctitle(5, 12)',
			duration: '@datetime("HH:mm:ss")',
		}]
	}]
})

const search = Mock.mock({
	code: 200,
	msg: '请求成功',
	'list|5-10': [{
		videoUrl: 'http://1305573081.vod2.myqcloud.com/10abdb63vodcq1305573081/c5d1c7a53701925920473528049/dfEdqef12AMA.mp4',
		cover: Random.image('200x100', '#50B347', '#FFF', '@ctitle(5, 12)'),
		title: '@ctitle(5, 12)',
		remarks: '@ctitle(5, 12)',
		duration: '@datetime("HH:mm:ss")',
		type: '类型',
	}]
})

const fulu = {
	getCarVideoList() {
		return [200, data]
	},
	getSearch() {
		return [200, search]
	}
}

export default fulu
